
_I2C_LCD_Cmd:

	CLRF       I2C_LCD_Cmd_rs_L0+0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_hi_n_L0+0
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_lo_n_L0+0
	LSLF       I2C_LCD_Cmd_lo_n_L0+0, 1
	LSLF       I2C_LCD_Cmd_lo_n_L0+0, 1
	LSLF       I2C_LCD_Cmd_lo_n_L0+0, 1
	LSLF       I2C_LCD_Cmd_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Cmd_lo_n_L0+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Cmd_rs_L0+0, 0
	IORWF       I2C_LCD_Cmd_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Cmd0:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Cmd0
	NOP
	MOVF       I2C_LCD_Cmd_rs_L0+0, 0
	IORWF       I2C_LCD_Cmd_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L_I2C_LCD_Cmd1:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Cmd1
	MOVF       I2C_LCD_Cmd_rs_L0+0, 0
	IORWF       I2C_LCD_Cmd_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Cmd2:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Cmd2
	NOP
	MOVF       I2C_LCD_Cmd_rs_L0+0, 0
	IORWF       I2C_LCD_Cmd_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	XORLW      1
	BTFSS      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Cmd3
	MOVLW      3
	MOVWF      R12
	MOVLW      151
	MOVWF      R13
L_I2C_LCD_Cmd4:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Cmd4
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Cmd4
	NOP
	NOP
L_I2C_LCD_Cmd3:
L_end_I2C_LCD_Cmd:
	RETURN
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:

	MOVLW      1
	MOVWF      I2C_LCD_Chr_rs_L0+0
	GOTO       L_I2C_LCD_Chr5
L_I2C_LCD_Chr7:
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      128
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L_I2C_LCD_Chr6
L_I2C_LCD_Chr8:
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      192
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L_I2C_LCD_Chr6
L_I2C_LCD_Chr9:
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      148
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L_I2C_LCD_Chr6
L_I2C_LCD_Chr10:
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      212
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L_I2C_LCD_Chr6
L_I2C_LCD_Chr5:
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      1
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Chr7
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      2
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Chr8
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      3
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Chr9
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      4
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Chr10
L_I2C_LCD_Chr6:
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_hi_n_L0+0
	MOVF       FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_lo_n_L0+0
	LSLF       I2C_LCD_Chr_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_lo_n_L0+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Chr_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Chr11:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr11
	NOP
	MOVF       I2C_LCD_Chr_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L_I2C_LCD_Chr12:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr12
	MOVF       I2C_LCD_Chr_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Chr13:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr13
	NOP
	MOVF       I2C_LCD_Chr_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
L_end_I2C_LCD_Chr:
	RETURN
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:

	MOVLW      1
	MOVWF      I2C_LCD_Chr_Cp_rs_L0+0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_hi_n_L0+0
	MOVF       FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_lo_n_L0+0
	LSLF       I2C_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_Cp_lo_n_L0+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Chr_Cp14:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr_Cp14
	NOP
	MOVF       I2C_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L_I2C_LCD_Chr_Cp15:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr_Cp15
	MOVF       I2C_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Chr_Cp16:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Chr_Cp16
	NOP
	MOVF       I2C_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
L_end_I2C_LCD_Chr_Cp:
	RETURN
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:

	CLRF       I2C_LCD_Init_rs_L0+0
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      39
	MOVWF      R12
	MOVLW      245
	MOVWF      R13
L_I2C_LCD_Init17:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init17
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Init17
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Init18:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init18
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_I2C_LCD_Init19:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init19
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Init19
	NOP
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Init20:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init20
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_I2C_LCD_Init21:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init21
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Init21
	NOP
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Init22:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init22
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_I2C_LCD_Init23:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init23
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Init23
	NOP
	NOP
	MOVLW      32
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L_I2C_LCD_Init24:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init24
	NOP
	MOVLW      32
	IORWF       I2C_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_I2C_LCD_Init25:
	DECFSZ     R13, 1
	GOTO       L_I2C_LCD_Init25
	DECFSZ     R12, 1
	GOTO       L_I2C_LCD_Init25
	NOP
	NOP
	MOVLW      40
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      6
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
L_end_I2C_LCD_Init:
	RETURN
; end of _I2C_LCD_Init

_I2C_LCD_Out:

L_I2C_LCD_Out26:
	MOVF       FARG_I2C_LCD_Out_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_I2C_LCD_Out_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Out27
	MOVF       FARG_I2C_LCD_Out_row+0, 0
	MOVWF      FARG_I2C_LCD_Chr_row+0
	MOVF       FARG_I2C_LCD_Out_col+0, 0
	MOVWF      FARG_I2C_LCD_Chr_column+0
	MOVF       FARG_I2C_LCD_Out_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_I2C_LCD_Out_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_I2C_LCD_Chr_out_char+0
	CALL       _I2C_LCD_Chr+0
	INCF       FARG_I2C_LCD_Out_col+0, 1
	INCF       FARG_I2C_LCD_Out_text+0, 1
	BTFSC      NOT_TO_bit, 2
	INCF       FARG_I2C_LCD_Out_text+1, 1
	GOTO       L_I2C_LCD_Out26
L_I2C_LCD_Out27:
L_end_I2C_LCD_Out:
	RETURN
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:

L_I2C_LCD_Out_Cp28:
	MOVF       FARG_I2C_LCD_Out_Cp_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_I2C_LCD_Out_Cp_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L_I2C_LCD_Out_Cp29
	MOVF       FARG_I2C_LCD_Out_Cp_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_I2C_LCD_Out_Cp_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_I2C_LCD_Chr_Cp_out_char+0
	CALL       _I2C_LCD_Chr_Cp+0
	INCF       FARG_I2C_LCD_Out_Cp_text+0, 1
	BTFSC      NOT_TO_bit, 2
	INCF       FARG_I2C_LCD_Out_Cp_text+1, 1
	GOTO       L_I2C_LCD_Out_Cp28
L_I2C_LCD_Out_Cp29:
L_end_I2C_LCD_Out_Cp:
	RETURN
; end of _I2C_LCD_Out_Cp

_main:

	CLRF       ANSA4_bit
	CLRF       TRISA0_bit
	CLRF       RA0_bit
	CLRF       LATA5_bit
	MOVLW      10
	MOVWF      SSPADD
	CALL       _I2C1_Init+0
	CALL       _I2C_LCD_Init+0
	MOVLW      12
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_col+0
	MOVLW      _txt1+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt1+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
	MOVLW      2
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_col+0
	MOVLW      _txt2+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt2+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
	MOVLW      3
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_col+0
	MOVLW      _txt3+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt3+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
	MOVLW      4
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_col+0
	MOVLW      _txt4+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt4+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
L_main30:
	GOTO       L_main30
L_end_main:
	GOTO       $+0
; end of _main
